Bug 417251 - [RFE] Please support the directory /usr/share/doc/HTML/en/common
[RFE] Please support the directory /usr/share/doc/HTML/en/common
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs3 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 386531
  Show dependency treegraph
 
Reported: 2007-12-09 10:16 EST by Mamoru TASAKA
Modified: 2007-12-18 11:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 11:51:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-12-09 10:16:11 EST
Description of problem:
During the review of kuftp (bug 386531), I found that
my system does not have the directory /usr/share/doc/HTML/en/common.

This directory is included in kdelibs-3.97.0-4.fc9 and
kdelibs-3.5.8-7.fc8, however is not included in
kdelibs3-3.5.8-17.fc9.

Currently this causes dangling symlink warning for users (like me)
who usually use GNOME and are installing kdelibs3 for kde3 applications.

How reproducible:
100%

Steps to Reproduce:
1. install kreetingkard (I maintain)
2. rpmlint kreetingkard
3.
  
Actual results:
[root@localhost ~]# rpm -q kdelibs3 kreetingkard
kdelibs3-3.5.8-17.fc9
kreetingkard-0.7.1-2.fc9
[root@localhost ~]# rpmlint kreetingkard
kreetingkard.i386: W: dangling-relative-symlink
/usr/share/doc/HTML/en/kreetingkard/common ../common
Comment 1 Kevin Kofler 2007-12-09 10:52:57 EST
Well, kdelibs3 is a compat package and as such does not provide what's already 
in kdelibs. We could fix this by simply adding Requires: kdelibs to kdelibs3, 
but is that worth the bloat? What we could do is to put the files which both 
kdelibs 3 and 4 need into a kdelibs-common subpackage (built from the KDE 4 
kdelibs SRPM), then have both kdelibs and kdelibs3 Require that.
Comment 2 Mamoru TASAKA 2007-12-09 11:07:29 EST
(In reply to comment #1)
> We could fix this by simply adding Requires: kdelibs to kdelibs3, 
> but is that worth the bloat? 
  This is highly undesirable.

> What we could do is to put the files which both 
> kdelibs 3 and 4 need into a kdelibs-common subpackage (built from the KDE 4 
> kdelibs SRPM), then have both kdelibs and kdelibs3 Require that.
  This seems acceptable solution IMO.

Comment 3 Kevin Kofler 2007-12-18 07:46:46 EST
The solution with the kdelibs-common subpackage was implemented in Rawhide. 
There is now a kdelibs-common built from kdelibs (4), and both kdelibs and 
kdelibs3 require kdelibs-common.
Comment 4 Mamoru TASAKA 2007-12-18 10:26:19 EST
Something odd is occuring.

kdelibs3 requires: kdelibs-common
--> Processing Dependency: kdelibs-common for package: kdelibs3
Searching pkgSack for dep: kdelibs-common
Matched kdelibs-common - 6:3.97.0-7.fc9.i386 to require for kdelibs-common
---> Package kdelibs-common.i386 6:3.97.0-7.fc9 set to be updated
kdelibs-common requires: libkdecore.so.5
--> Processing Dependency: libkdecore.so.5 for package: kdelibs-common
Searching pkgSack for dep: libkdecore.so.5
Matched kdelibs - 6:3.97.0-6.fc9.i386 to require for libkdecore.so.5
Matched kdelibs - 6:3.97.0-7.fc9.i386 to require for libkdecore.so.5
Matched kdelibs - 6:3.97.0-7.fc9.i386 to require for libkdecore.so.5
Matched kdelibs4 - 3.96.2-3.fc8.i386 to require for libkdecore.so.5
TSINFO: Marking kdelibs - 6:3.97.0-7.fc9.i386 as install for kdelibs-common
kdelibs-common requires: libkunittest.so.4
--> Processing Dependency: libkunittest.so.4 for package: kdelibs-common
Searching pkgSack for dep: libkunittest.so.4
Matched kdelibs - 6:3.97.0-6.fc9.i386 to require for libkunittest.so.4
Matched kdelibs - 6:3.97.0-7.fc9.i386 to require for libkunittest.so.4

Installing for dependencies:
 exiv2-libs              i386       0.16-0.3.pre1.fc9  koji-rawhide      665 k
 kdelibs                 i386       6:3.97.0-7.fc9   koji-rawhide       11 M
 kdelibs-common          i386       6:3.97.0-7.fc9   koji-rawhide      175 k

Comment 5 Kevin Kofler 2007-12-18 11:03:20 EST
Ouch, there are 2 executables in kdelibs-common which drag in all of kdelibs. 
Oops...
I'll omit these executables from kdelibs-common, they're not essential anyway 
(checkXML is mainly for developers and is normally invoked by hand, 
kunittestmodrunner is only needed when doing unit tests).
Comment 6 Kevin Kofler 2007-12-18 11:51:40 EST
* Tue Dec 18 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-8
- don't put binaries into kdelibs-common, they drag in kdelibs (#417251)

Note You need to log in before you can comment on or make changes to this bug.